section.section {
  display: flex;
  flex-direction: column;
  margin-bottom: 32px;


  div.new-films {
    display: flex;
    flex-direction: row;
    overflow-x: auto;
    overflow-y: hidden;

    .article-margin {
      margin-left: 17px;
    }

    article {
      width: 100%;
      min-width: 280px;
      max-width: 280px;
      min-height: max-content;
      .film {
        position: relative;
        height: 370px;
        width: 100%;
        border-radius: 8px;
        cursor: pointer;
        .description {
          position: absolute;
          background-color:rgba(51, 51, 51, 0.8);
          opacity: 0;
          top: 0;
          padding: 16px;
          width: calc(100% - 32px);
          height: calc(100% - 32px);
          border-radius: 8px;
          color: #F2F2F2;
          line-height: 140%;
          transition: opacity 0.5s ease-in;
        }
        img {
          width: 100%;
          height: 100%;
          max-width: 280px;
          max-height: 370px;
          position: relative;
        }
      }
      .film:hover .description {
        opacity: 1;
        transition: all 1s ease;
        animation-fill-mode: forwards;
      }
    }

    .name {
      overflow: hidden;
      max-height: 50px;
      min-height: 50px;
      margin-top: 24px;
      font-size: 20px;
    }
  }

  title {
    width: 100%;
    display: flex;
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 16px;
  }

  div.genres {
    display: flex;
    flex-direction: row;
    justify-content: space-between;

    .genre {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      width: 24%;
      min-height: 208px;
      box-shadow: inset 0 0 16px rgba(0, 0, 0, 0.15);
      color: #FFFFFF;
      border-radius: 6px;
      position: relative;
      cursor: pointer;

      div {
        position: absolute;
        bottom: 0;
        margin-bottom: 24px;
        width: 100%;
        display: block;
        text-align: center;
        left: 0;
      }
    }

    .drama {
      background: linear-gradient(136.27deg, rgba(242,153,74,.8) 8.44%, rgba(235,87,87,.8)  91.36%);
    }

    .drama:hover {
      background: linear-gradient(136.27deg, rgba(242,153,74, 1) 8.44%, rgba(235,87,87, 1)  91.36%);
    }

    .fiction {
      background: linear-gradient(136.27deg, rgba(84, 204, 242, 0.8) 8.44%, rgba(47 ,128, 237, 0.8) 91.36%);
    }

    .fiction:hover {
      background: linear-gradient(136.27deg, rgba(84, 204, 242, 1) 8.44%, rgba(47 ,128, 237, 1) 91.36%);
    }

    .comedy {
      background: linear-gradient(136.27deg, rgba(242, 201,76, 0.8) 8.44%, rgba(242, 154, 74, 0.8) 91.36%);
    }

    .comedy:hover{
      background: linear-gradient(136.27deg, rgba(242, 201,76, 1) 8.44%, rgba(242, 154, 74, 1) 91.36%);
    }

    .horror {
      background: linear-gradient(136.27deg, rgba(130, 130, 130, 0.8) 8.44%, rgba(51, 51, 51, 0.8) 91.36%);
    }

    .horror:hover{
      background: linear-gradient(136.27deg, rgba(130, 130, 130, 1) 8.44%, rgba(51, 51, 51, 1) 91.36%);
    }

  }

}
